Subject: Re: kernel softlockup/networking/e1000

From: "Kok, Auke" <[email-masked]>
Date: Tue, 18 Dec 2007 10:23:30 -0800

Denys Fedoryshchenko wrote:
> At the beginning - kernel is with "gentoo patched", but i checked, there is 
> nothing major and almost none from patched code used on this router (there is 
> almost no networking patches, except e1000e support, small GRE fix and few 
> wireless things, which is not used).
> 
> syslog
> http://www.nuclearcat.com/kern.log

Looks like you're hitting an old bug where there is a race between something
running in the background continuously hitting ethtool ioctls and the driver's
watchdog.

Can you identify which program is doing the ethtool command? That would help.

Please re-test with the latest git tree  - I believe that we just recently fixed
this bug, and I'm almost sure that your kernel does not have that fix.

Cheers,

Auke